Uploaded image for project: 'MariaDB Connector/Python'
  1. MariaDB Connector/Python
  2. CONPY-59

Cursor fetchall with error

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 0.9.57
    • Fix Version/s: 0.9.58
    • Component/s: DBAPI 2.0, Generic
    • Labels:
      None
    • Environment:
      Ubuntu 18.04.4 LTS Bionic
      Python 3.7.0
      libmariadb-dev:
        Installed: 1:10.4.12+maria~bionic
        Candidate: 1:10.4.12+maria~bionic

      Description

      I suspect this might be similar to: https://github.com/mkleehammer/pyodbc/issues/475

      I'm attempting to query a table on a remote server via python (unfortunately I cannot provide the data causing the problem), and mariadb pipeline returns a value error:

      ---------------------------------------------------------------------------
      ValueError Traceback (most recent call last)
      ValueError: year 0 is out of range

      The above exception was the direct cause of the following exception:

      SystemError Traceback (most recent call last)
      <ipython-input-5-dd76bdee1402> in <module>
      ---> 27 res = cur.fetchall()

      SystemError: <method 'fetchall' of 'mariadb.connection.cursor' objects> returned a result with an error set

        Attachments

          Activity

            People

            Assignee:
            georg Georg Richter
            Reporter:
            cjchristopher Cody Christopher
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: